<span>
  Proceso Asincrono: 
</span>

<button 
type="button" 
class="btn"
(click)="ejecutar()"
[disabled]="loading"
>
<i class="fa" [ngClass]=" { 'fa-save':!loading, 'fa-spin fa-refresh': loading } "></i>
  <span *ngIf="!loading"> Guardar Datos</span>
  <span *ngIf="loading"> Loading...</span>
</button>